com.trendmicro.ds.antimalware.rest.object

## Class CreateAntiMalwareScanConfigRequest

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.WebServiceRequest
  - - com.trendmicro.ds.antimalware.rest.object.CreateAntiMalwareScanConfigRequest

-     public class CreateAntiMalwareScanConfigRequest
      extends WebServiceRequest

  Provides options for the creation of a new antiMalware scan configuration.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CreateAntiMalwareScanConfigRequest()`
    `CreateAntiMalwareScanConfigRequest(java.lang.String sessionId, AntiMalwareScanConfig antiMalwareScanConfig)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AntiMalwareScanConfig` | `getAntiMalwareScanConfig()` Contains AntiMalware Scan Configuration related information.
    `void` | `setAntiMalwareScanConfig(AntiMalwareScanConfig antiMalwareScanConfig)`

    - ### Methods inherited from class com.trendmicro.ds.platform.rest.object.WebServiceRequest

      `getSessionId, setSessionId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CreateAntiMalwareScanConfigRequest

          public CreateAntiMalwareScanConfigRequest()

    - #### CreateAntiMalwareScanConfigRequest

          public CreateAntiMalwareScanConfigRequest(java.lang.String sessionId,
                                                    AntiMalwareScanConfig antiMalwareScanConfig)

  - ### Method Detail

    - #### getAntiMalwareScanConfig

          public AntiMalwareScanConfig getAntiMalwareScanConfig()

      Contains AntiMalware Scan Configuration related information. The class is a superset of attributes coming from our AntiMalware Scan Configuration
      Returns:
        antiMalwareScanConfig

    - #### setAntiMalwareScanConfig

          public void setAntiMalwareScanConfig(AntiMalwareScanConfig antiMalwareScanConfig)

Copyright © 2017 Trend Micro Inc. All Rights Reserved.